<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL - Electrocardiogram Report </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces -->
   <ns uri="x" prefix="sdtc"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario minicda -->

   <!-- MinimalCDAdocument -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.sch"/>
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.10.12.201-2005-09-07T000000.sch"/>
   <!-- CDAAct -->
   <include href="include/2.16.840.1.113883.10.12.301-2005-09-07T000000.sch"/>
   <!-- CDAEncounter -->
   <include href="include/2.16.840.1.113883.10.12.302-2005-09-07T000000.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.10.12.303-2005-09-07T000000.sch"/>
   <!-- CDAObservationMedia -->
   <include href="include/2.16.840.1.113883.10.12.304-2005-09-07T000000.sch"/>
   <!-- CDAOrganizer -->
   <include href="include/2.16.840.1.113883.10.12.305-2005-09-07T000000.sch"/>
   <!-- CDAProcedure -->
   <include href="include/2.16.840.1.113883.10.12.306-2005-09-07T000000.sch"/>
   <!-- CDARegionOfInterest -->
   <include href="include/2.16.840.1.113883.10.12.307-2005-09-07T000000.sch"/>
   <!-- CDASubstanceAdministration -->
   <include href="include/2.16.840.1.113883.10.12.308-2005-09-07T000000.sch"/>
   <!-- CDASupply -->
   <include href="include/2.16.840.1.113883.10.12.309-2005-09-07T000000.sch"/>
   <!-- EstimatedDateofDelivery -->
   <include href="include/2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.sch"/>
   <include href="include/2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000-closed.sch"/>
   <!-- PregnancyObservation -->
   <include href="include/2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.sch"/>
   <!-- EKGImpressionSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.3001-2013-02-10T000000.sch"/>
   <!-- CDAConcern -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900202-2015-06-17T102040.sch"/>
   <!-- CDAProblemConcern -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900203-2015-06-17T102450.sch"/>
   <!-- CDAhospitalAdmissionDiagnosis -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.sch"/>
   <!-- CDAMedications -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900205-2015-06-17T110414.sch"/>
   <!-- CDAMedicationsSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900206-2015-06-17T110901.sch"/>
   <!-- CDACarePlanSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900207-2015-06-17T114635.sch"/>
   <!-- CDASocialHistoryObservation -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900208-2015-06-18T121044.sch"/>
   <!-- CDACodedSocialHistorySection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900209-2015-06-18T124052.sch"/>
   <!-- CDALaboratoryReportDataProcessingEntry -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900210-2015-06-19T144233.sch"/>
   <!-- CDALaboratorySpecialtySection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900211-2015-06-19T144507.sch"/>
   <!-- CDAHospitalCourseSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900212-2015-06-19T154010.sch"/>
   <!-- CDAHistoryofPresentIllnessSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900213-2015-06-22T135548.sch"/>
   <!-- CDAHistoryofPastIllnessSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900214-2015-06-22T140637.sch"/>
   <!-- CDAListofSurgeriesSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900215-2015-06-22T141144.sch"/>
   <!-- CDACodedListofSurgeriesSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900216-2015-06-22T141629.sch"/>
   <!-- CDAFamilyMedicalHistorySection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900217-2015-06-22T142233.sch"/>
   <!-- CDAAllergyandIntoleranceConcern -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900218-2015-06-22T144423.sch"/>
   <!-- CDAAllergiesAndOtherAdverseReactionsSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900219-2015-06-22T145737.sch"/>
   <!-- CDACodedResultsSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900221-2015-06-26T153508.sch"/>
   <!-- CDAProceduresandInterventionsSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900222-2015-06-26T154605.sch"/>
   <!-- CDACodedEventOutcomesSection -->
   <include href="include/2.16.840.1.113883.3.1937.99.61.13.10.900223-2015-06-26T163550.sch"/>

</schema>
