<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.15.3.8
Name: Pregnancy Observation
Description: This clinical statement represents current and/or prior pregnancy dates enabling investigators to determine if the subject of the case report was pregnant during the course of a condition.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000">
   <title>Pregnancy Observation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]
Item: (PregnancyObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']
Item: (PregnancyObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']"
         id="d110e2815-false-d59681e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="string(@classCode)=('OBS')">CONF:81-451: The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="string(@moodCode)=('EVN')">CONF:81-452: The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.15.3.8'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.15.3.8']/@nullFlavor)">(PregnancyObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.15.3.8'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.15.3.8'])&lt;=1">(PregnancyObservation): element cda:templateId[@root='2.16.840.1.113883.10.20.15.3.8'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(PregnancyObservation): element cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(PregnancyObservation): element cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(PregnancyObservation): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(PregnancyObservation): element cda:statusCode[@code='completed'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:effectiveTime)&lt;=1">(PregnancyObservation): element cda:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(cda:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(PregnancyObservation): element cda:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(PregnancyObservation): element cda:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="count(cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']])&lt;=1">(PregnancyObservation): element cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']] appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:templateId[@root='2.16.840.1.113883.10.20.15.3.8']
Item: (PregnancyObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:templateId[@root='2.16.840.1.113883.10.20.15.3.8']"
         id="d110e2833-false-d59773e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.15.3.8')">CONF:81-16868: The value for @root SHALL be '2.16.840.1.113883.10.20.15.3.8'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (PregnancyObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:code[(@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="d110e2849-false-d59786e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="@nullFlavor or (@code='ASSERTION' and @codeSystem='2.16.840.1.113883.5.4')">(PregnancyObservation): The element value SHALL be one of 'code 'ASSERTION' codeSystem '2.16.840.1.113883.5.4''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:statusCode[@code='completed']
Item: (PregnancyObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:statusCode[@code='completed']"
         id="d110e2859-false-d59803e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(PregnancyObservation): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:effectiveTime
Item: (PregnancyObservation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (PregnancyObservation)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:value[(@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="d110e2878-false-d59830e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PregnancyObservation): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="@nullFlavor or (@code='77386006' and @codeSystem='2.16.840.1.113883.6.96')">(PregnancyObservation): The element value SHALL be one of 'code '77386006' codeSystem '2.16.840.1.113883.6.96''.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="string(@code)=('77386006')">CONF:81-26460: The value for @code SHALL be '77386006'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.8
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]
Item: (PregnancyObservation)
-->
   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.8']/cda:entryRelationship[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.8-2015-08-13T000000.html"
              test="string(@typeCode)=('REFR')">CONF:81-459: The value for @typeCode SHALL be 'REFR'.</assert>
   </rule>
</pattern>
