<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.900204
Name: CDA Hospital Admission Diagnosis 
Description: 
                 Diagnostic initial fait lors de l'admission du malade. C'est un diagnostic provisoire, souvent des symptômes ou signes d'appels. 
                 
                 The
hospital admitting diagnosis section shall contain a narrative description of
the primary reason for admission to a hospital facility. It shall include
entries for observations as described in the Entry Content Modules.  
                 
                     
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329">
   <title>CDA Hospital Admission Diagnosis </title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]
Item: (CDAhospitalAdmissionDiagnosis)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']
Item: (CDAhospitalAdmissionDiagnosis)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']"
         id="d110e3872-false-d71966e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.3'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/@nullFlavor)">(CDAhospitalAdmissionDiagnosis): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.3'])&lt;=1">(CDAhospitalAdmissionDiagnosis): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="count(hl7:code)&lt;=1">(CDAhospitalAdmissionDiagnosis): element hl7:code appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="count(hl7:text)&gt;=1 ">(CDAhospitalAdmissionDiagnosis): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="count(hl7:text)&lt;=1">(CDAhospitalAdmissionDiagnosis): element hl7:text appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="count(hl7:entry[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']])&gt;=1 ">(CDAhospitalAdmissionDiagnosis): element hl7:entry[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']
Item: (CDAhospitalAdmissionDiagnosis)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']"
         id="d110e3874-false-d72031e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAhospitalAdmissionDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.5.3.1.3.3')">(CDAhospitalAdmissionDiagnosis): The value for @root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:code
Item: (CDAhospitalAdmissionDiagnosis)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:code"
         id="d110e3879-false-d72049e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAhospitalAdmissionDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="@nullFlavor or (@code='46241-6' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC')">(CDAhospitalAdmissionDiagnosis): The element value SHALL be one of 'code '46241-6' codeSystem '2.16.840.1.113883.6.1' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:text
Item: (CDAhospitalAdmissionDiagnosis)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:text"
         id="d110e3884-false-d72070e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAhospitalAdmissionDiagnosis): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900204
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:entry[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']]
Item: (CDAhospitalAdmissionDiagnosis)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.900204']]/hl7:section[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.3.3']/hl7:entry[hl7:act[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.2' and hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.5.1' and hl7:templateId/@root='2.16.840.1.113883.10.20.1.27']]">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="@typeCode">(CDAhospitalAdmissionDiagnosis): attribute @typeCode SHALL be present.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(CDAhospitalAdmissionDiagnosis): Attribute @typeCode SHALL be of data type 'cs'</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900204-2015-06-17T103329.html"
              test="not(@typeCode) or count($theAttValue) = count($theAttCheck)">(CDAhospitalAdmissionDiagnosis): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
   </rule>
</pattern>
