<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.10.20.15.3.1
Name: Estimated Date of Delivery
Description: This clinical statement represents the anticipated date when a woman will give birth.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000">
   <title>Estimated Date of Delivery</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.1
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]
Item: (EstimatedDateofDelivery)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.1
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']
Item: (EstimatedDateofDelivery)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']"
         id="d110e2674-false-d59191e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="string(@classCode)=('OBS')">CONF:81-444: The value for @classCode SHALL be 'OBS'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="string(@moodCode)=('EVN')">CONF:81-445: The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1'])&gt;=1 and not(cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1']/@nullFlavor)">(EstimatedDateofDelivery): element cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1'])&lt;=1">(EstimatedDateofDelivery): element cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(EstimatedDateofDelivery): element cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(EstimatedDateofDelivery): element cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&gt;=1 and not(cda:statusCode[@code='completed']/@nullFlavor)">(EstimatedDateofDelivery): element cda:statusCode[@code='completed'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:statusCode[@code='completed'])&lt;=1">(EstimatedDateofDelivery): element cda:statusCode[@code='completed'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:value)&gt;=1 and not(cda:value/@nullFlavor)">(EstimatedDateofDelivery): element cda:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="count(cda:value)&lt;=1">(EstimatedDateofDelivery): element cda:value appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.1
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1']
Item: (EstimatedDateofDelivery)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:templateId[@root='2.16.840.1.113883.10.20.15.3.1']"
         id="d110e2692-false-d59256e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="string(@root)=('2.16.840.1.113883.10.20.15.3.1')">CONF:81-16763: The value for @root SHALL be '2.16.840.1.113883.10.20.15.3.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.1
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (EstimatedDateofDelivery)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:code[(@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d110e2708-false-d59269e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="@nullFlavor or (@code='11778-8' and @codeSystem='2.16.840.1.113883.6.1')">(EstimatedDateofDelivery): The element value SHALL be one of 'code '11778-8' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.1
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:statusCode[@code='completed']
Item: (EstimatedDateofDelivery)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:statusCode[@code='completed']"
         id="d110e2718-false-d59286e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="@nullFlavor or (@code='completed')">(EstimatedDateofDelivery): The element value SHALL be one of 'code 'completed''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.10.20.15.3.1
Context: *[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:value
Item: (EstimatedDateofDelivery)
-->

   <rule context="*[cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']]/cda:observation[hl7:templateId/@root='2.16.840.1.113883.10.20.15.3.1']/cda:value"
         id="d110e2729-false-d59303e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.10.20.15.3.1-2015-08-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(EstimatedDateofDelivery): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
</pattern>
