<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Name: Minimal CDA document
Description: A minimal CDA Release 2 document, that contains only a few attributes and relationships for the ClinicalDocument class:  
                     typeId: fixed 
                     id: unique id of the document instance 
                     code: type of document 
                     effectiveTime: creation date of the document 
                     confidentialityCode: confidentiality level indication for this document 
                     recordTarget: the record target (e.g. patient) 
                     author: author of this document 
                     custodian: custodian for this document 
                     component: contains (in this case) structured body 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000">
   <title>Minimal CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /
Item: (MinimalCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']"
         id="d110e3083-false-d60145e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(MinimalCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/@nullFlavor)">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'])&lt;=1">(MinimalCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(MinimalCDAdocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(MinimalCDAdocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(MinimalCDAdocument): element hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:title)&lt;=1">(MinimalCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(MinimalCDAdocument): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(MinimalCDAdocument): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]/@nullFlavor)">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)])&lt;=1">(MinimalCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(MinimalCDAdocument): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(MinimalCDAdocument): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:custodian)&lt;=1">(MinimalCDAdocument): element hl7:custodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="d60176e65-false-d60301e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="string(@extension)=('POCD_HD000040')">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900001-2013-02-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.1.3')">(CDAtypeId): The value for @root SHALL be '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.61.13.10.1']"
         id="d110e3087-false-d60322e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@root)=('2.16.840.1.113883.3.1937.99.61.13.10.1')">(MinimalCDAdocument): The value for @root SHALL be '2.16.840.1.113883.3.1937.99.61.13.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:id"
         id="d60324e49-false-d60340e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:code[(@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="d110e3102-false-d60354e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MinimalCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="@nullFlavor or (@code='11524-6' and @codeSystem='2.16.840.1.113883.6.1')">(MinimalCDAdocument): The element value SHALL be one of 'code '11524-6' codeSystem '2.16.840.1.113883.6.1''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:title"
         id="d60356e17-false-d60375e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900003-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900004
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:effectiveTime"
         id="d60377e23-false-d60389e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900004-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900005
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code)]"
         id="d60391e20-false-d60404e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be one of 'BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900005-2013-02-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget"
         id="d60406e58-false-d60432e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@typeCode)=('RCT') or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@contextControlCode)=('OP') or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole"
         id="d60406e62-false-d60462e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@classCode)=('PAT') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.110
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (NationalPatientIdentifier)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="d60469e29-false-d60503e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="string(@root)=('2.16.840.1.113883.2.4.6.3')">(NationalPatientIdentifier): The value for @root SHALL be '2.16.840.1.113883.2.4.6.3'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.110-2013-01-31T000000.html"
              test="@extension">(NationalPatientIdentifier): attribute @extension SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="d60406e70-false-d60525e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="d60406e90-false-d60576e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception/@code) or @nullFlavor]"
         id="d60406e94-false-d60591e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be one of 'AdministrativeGender Administrative Gender (HL7 V3) (DYNAMIC)'.</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender Administrative Gender (HL7 V3) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="d60406e100-false-d60619e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2001-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author"
         id="d60621e51-false-d60633e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@typeCode)=('AUT') or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:time"
         id="d60621e56-false-d60670e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor"
         id="d60621e59-false-d60684e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:id"
         id="d60621e63-false-d60729e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="d60621e65-false-d60744e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('PSN') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (CDAPersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="d60754e26-false-d60777e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900200-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAPersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="d60621e70-false-d60792e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2002-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="d60802e29-false-d60843e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="d60802e32-false-d60857e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="d60802e35-false-d60871e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="d60802e38-false-d60885e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian"
         id="d60887e36-false-d60899e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@typeCode)=('CST') or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian"
         id="d60887e40-false-d60924e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@classCode)=('ASSIGNED') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="d60887e44-false-d60948e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@classCode)=('ORG') or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="string(@determinerCode)=('INSTANCE') or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.2003-2013-02-10T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="d60958e29-false-d60999e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="d60958e32-false-d61013e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="d60958e35-false-d61027e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (CDAOrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="d60958e38-false-d61041e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.900201-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAOrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component"
         id="d110e3133-false-d61055e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody
Item: (MinimalCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody"
         id="d110e3144-false-d61077e0">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@classCode)=('DOCBODY') or not(@classCode)">(MinimalCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@moodCode)=('EVN') or not(@moodCode)">(MinimalCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]/@nullFlavor)">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']])&lt;=1">(MinimalCDAdocument): element hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.61.13.10.1
Context: /hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]
Item: (MinimalCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.1937.99.61.13.10.3001']]">
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@typeCode)=('COMP') or not(@typeCode)">(MinimalCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://sasips.art-decor.org/sasips-html-20160425T163731/tmp-2.16.840.1.113883.3.1937.99.61.13.10.1-2013-02-10T000000.html"
              test="string(@contextConductionInd)=('true') or not(@contextConductionInd)">(MinimalCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
